Bug 238766 - sysutils/watchman: Update 4.5.0 -> 4.9.0-1115
Summary: sysutils/watchman: Update 4.5.0 -> 4.9.0-1115
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-22 19:44 UTC by Yuri Victorovich
Modified: 2020-05-28 21:18 UTC (History)
2 users (show)

See Also:
linpct: maintainer-feedback-


Attachments
patch (4.03 KB, patch)
2019-06-22 19:44 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2019-06-22 19:44:51 UTC
Created attachment 205285 [details]
patch

Major changes:
* Change to cmake
* Add the pull request with the FreeBSD patch
* Remove unnecessary options and lines in Makefile
Comment 1 linpct 2019-11-11 01:05:07 UTC
Hi, I'd not maintain this port for a while, hope there would be other maintainer to take it, thanks.
Comment 2 daniel.engberg.lists 2020-03-16 12:21:34 UTC
Commit and reset maintainer?
Comment 3 daniel.engberg.lists 2020-05-07 06:05:20 UTC
Ping yuri@
Comment 4 Yuri Victorovich freebsd_committer 2020-05-28 21:17:41 UTC
Committed.
Comment 5 commit-hook freebsd_committer 2020-05-28 21:18:21 UTC
A commit references this bug:

Author: yuri
Date: Thu May 28 21:17:19 UTC 2020
New revision: 536820
URL: https://svnweb.freebsd.org/changeset/ports/536820

Log:
  sysutils/watchman: Update 4.5.0 -> 4.9.0-1115

  Maintainer refused of maintainership, so I am taking it.

  The latest version of watchman doesn't build with the
  port version of devel/folly, and the latest folly
  can't yet be ported due to build issues.
  Therefore, updating to the version that can be built.

  PR:		238766
  Approved by:	linpct@gmail.com (maintainer)

Changes:
  head/sysutils/watchman/Makefile
  head/sysutils/watchman/distinfo
  head/sysutils/watchman/files/
  head/sysutils/watchman/files/patch-CMakeLists.txt